package de.intevation.flys.artifacts.model.minfo;


public class BedHeightSingle
extends BedHeight
{

    protected int year;

    public BedHeightSingle() {
        super();
        this.year = -1;
    }

    public BedHeightSingle(String name) {
        super(name);
        this.year = -1;
    }

    public void add(
        double value,
        double station,
        double gap,
        double width,
        int year
    ) {
        super.add(value, station, gap, width);
        this.year = year;
    }

    public int getYear() {
        return this.year;
    }
}
